// SPDX-License-Identifier: Apache-2.0
import { createFixture } from "../config";
import { HederaIdPropsFixture } from "../shared/DataFixture";
export const SetAddressFrozenCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.status.faker((faker) => faker.datatype.boolean());
    command.targetId.as(() => HederaIdPropsFixture.create().value);
});
export const SetAddressFrozenRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.status.faker((faker) => faker.datatype.boolean());
    request.targetId.as(() => HederaIdPropsFixture.create().value);
});
export const FreezePartialTokensCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.amount.faker((faker) => faker.number.int({ min: 1, max: 10 }).toString());
    command.targetId.as(() => HederaIdPropsFixture.create().value);
});
export const FreezePartialTokensRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.amount.faker((faker) => faker.number.int({ min: 1, max: 10 }).toString());
    request.targetId.as(() => HederaIdPropsFixture.create().value);
});
export const UnfreezePartialTokensCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.amount.faker((faker) => faker.number.int({ min: 1, max: 10 }).toString());
    command.targetId.as(() => HederaIdPropsFixture.create().value);
});
export const UnfreezePartialTokensRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.amount.faker((faker) => faker.number.int({ min: 1, max: 10 }).toString());
    request.targetId.as(() => HederaIdPropsFixture.create().value);
});
export const GetFrozenPartialTokensQueryFixture = createFixture((query) => {
    query.securityId.as(() => HederaIdPropsFixture.create().value);
    query.targetId.as(() => HederaIdPropsFixture.create().value);
});
